Knowledge Storage
Delete Process Storage
Delete one or more files from the knowledge repository of a process.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --location 'https://api.sarasfinance.com/v1/process/knowledges/deleteStorage' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
"fileIds": ["file_a781b2e9"],
"recover": false
}'
{
"success": true,
"message": "Files deleted successfully"
}
Delete one or more files from the knowledge repository of a process.
curl --location 'https://api.sarasfinance.com/v1/process/knowledges/deleteStorage' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
"fileIds": ["file_a781b2e9"],
"recover": false
}'
{
"success": true,
"message": "Files deleted successfully"
}
true to recover/restore deleted files instead of deleting them.curl --location 'https://api.sarasfinance.com/v1/process/knowledges/deleteStorage' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
"fileIds": ["file_a781b2e9"],
"recover": false
}'
{
"success": true,
"message": "Files deleted successfully"
}
| Code | ID | Description |
|---|---|---|
ERROR_PROCESS_META_IS_MISSING_IN_REQUEST | 1200 | Metadata missing in request |
ERROR_FILE_ID_NOT_FOUND | 1704 | File ID does not exist |
ERROR_STORAGE_LOCKED | 1712 | Storage repository is currently locked |
